Subject: Re: pull-request: wireless-next-2023-04-21

From: Jakub Kicinski <[email-masked]>
Date: Mon, 1 May 2023 15:08:03 -0700

On Fri, 28 Apr 2023 13:43:16 +0300 Kalle Valo wrote:
> > I don't think it's that much extra work, the driver requires FW
> > according to modinfo, anyway, so /lib/firmware is already required.
> > And on smaller systems with few hundred MB of RAM it'd be nice to not
> > hold all the stuff in kernel memory, I'd think.  
> 
> Later in this thread Ping explained pretty well the challenges here,
> that sums exactly what I'm worried about.
> 
> > We have a rule against putting FW as a static table in the driver
> > source, right? Or did we abandon that? Isn't this fundamentally similar?  
> 
> My understanding is that these are just initialisation values for
> hardware, not executable code. (Ping, please correct me if I
> misunderstood.) So that's why I thought these are ok to have in kernel.
> So I took practicality over elegance here.

Alright, I'll try to make someone else do this outside of wireless,
and come back with real life experience disproving the concerns :)